<template>
  <nuxt-link :to="to" class="sidebar-link">
    <i :class="`fa-${icon}`" class="fas sidebar-icon"></i>
    <label class="sidebar-title">{{ $t(title) }}</label>
  </nuxt-link>
</template>

<script lang="ts">
  import {Component, Vue, Prop} from "nuxt-property-decorator";

  @Component({
    components: {}
  })
  export default class extends Vue {
    @Prop() icon: string;
    @Prop() title: string;
    @Prop() to: string;
  }
</script>
